<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Worksheet\Protection</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___clone" title="__clone ::Implement PHP __clone to create a deep clone, not just a shallow copy.">
            <span class="description">Implement PHP __clone to create a deep clone, not just a shallow copy.</span><pre>__clone</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Create a new Protection.">
            <span class="description">Create a new Protection.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getAutoFilter" title="getAutoFilter ::Get AutoFilter.">
            <span class="description">Get AutoFilter.</span><pre>getAutoFilter</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getDeleteColumns" title="getDeleteColumns ::Get DeleteColumns.">
            <span class="description">Get DeleteColumns.</span><pre>getDeleteColumns</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getDeleteRows" title="getDeleteRows ::Get DeleteRows.">
            <span class="description">Get DeleteRows.</span><pre>getDeleteRows</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getFormatCells" title="getFormatCells ::Get FormatCells.">
            <span class="description">Get FormatCells.</span><pre>getFormatCells</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getFormatColumns" title="getFormatColumns ::Get FormatColumns.">
            <span class="description">Get FormatColumns.</span><pre>getFormatColumns</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getFormatRows" title="getFormatRows ::Get FormatRows.">
            <span class="description">Get FormatRows.</span><pre>getFormatRows</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getInsertColumns" title="getInsertColumns ::Get InsertColumns.">
            <span class="description">Get InsertColumns.</span><pre>getInsertColumns</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getInsertHyperlinks" title="getInsertHyperlinks ::Get InsertHyperlinks.">
            <span class="description">Get InsertHyperlinks.</span><pre>getInsertHyperlinks</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getInsertRows" title="getInsertRows ::Get InsertRows.">
            <span class="description">Get InsertRows.</span><pre>getInsertRows</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getObjects" title="getObjects ::Get Objects.">
            <span class="description">Get Objects.</span><pre>getObjects</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getPassword" title="getPassword ::Get Password (hashed).">
            <span class="description">Get Password (hashed).</span><pre>getPassword</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getPivotTables" title="getPivotTables ::Get PivotTables.">
            <span class="description">Get PivotTables.</span><pre>getPivotTables</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getScenarios" title="getScenarios ::Get Scenarios.">
            <span class="description">Get Scenarios.</span><pre>getScenarios</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSelectLockedCells" title="getSelectLockedCells ::Get SelectLockedCells.">
            <span class="description">Get SelectLockedCells.</span><pre>getSelectLockedCells</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSelectUnlockedCells" title="getSelectUnlockedCells ::Get SelectUnlockedCells.">
            <span class="description">Get SelectUnlockedCells.</span><pre>getSelectUnlockedCells</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSheet" title="getSheet ::Get Sheet.">
            <span class="description">Get Sheet.</span><pre>getSheet</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSort" title="getSort ::Get Sort.">
            <span class="description">Get Sort.</span><pre>getSort</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_isProtectionEnabled" title="isProtectionEnabled ::Is some sort of protection enabled?">
            <span class="description">Is some sort of protection enabled?</span><pre>isProtectionEnabled</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setAutoFilter" title="setAutoFilter ::Set AutoFilter.">
            <span class="description">Set AutoFilter.</span><pre>setAutoFilter</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setDeleteColumns" title="setDeleteColumns ::Set DeleteColumns.">
            <span class="description">Set DeleteColumns.</span><pre>setDeleteColumns</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setDeleteRows" title="setDeleteRows ::Set DeleteRows.">
            <span class="description">Set DeleteRows.</span><pre>setDeleteRows</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setFormatCells" title="setFormatCells ::Set FormatCells.">
            <span class="description">Set FormatCells.</span><pre>setFormatCells</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setFormatColumns" title="setFormatColumns ::Set FormatColumns.">
            <span class="description">Set FormatColumns.</span><pre>setFormatColumns</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setFormatRows" title="setFormatRows ::Set FormatRows.">
            <span class="description">Set FormatRows.</span><pre>setFormatRows</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setInsertColumns" title="setInsertColumns ::Set InsertColumns.">
            <span class="description">Set InsertColumns.</span><pre>setInsertColumns</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setInsertHyperlinks" title="setInsertHyperlinks ::Set InsertHyperlinks.">
            <span class="description">Set InsertHyperlinks.</span><pre>setInsertHyperlinks</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setInsertRows" title="setInsertRows ::Set InsertRows.">
            <span class="description">Set InsertRows.</span><pre>setInsertRows</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setObjects" title="setObjects ::Set Objects.">
            <span class="description">Set Objects.</span><pre>setObjects</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setPassword" title="setPassword ::Set Password.">
            <span class="description">Set Password.</span><pre>setPassword</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setPivotTables" title="setPivotTables ::Set PivotTables.">
            <span class="description">Set PivotTables.</span><pre>setPivotTables</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setScenarios" title="setScenarios ::Set Scenarios.">
            <span class="description">Set Scenarios.</span><pre>setScenarios</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setSelectLockedCells" title="setSelectLockedCells ::Set SelectLockedCells.">
            <span class="description">Set SelectLockedCells.</span><pre>setSelectLockedCells</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setSelectUnlockedCells" title="setSelectUnlockedCells ::Set SelectUnlockedCells.">
            <span class="description">Set SelectUnlockedCells.</span><pre>setSelectUnlockedCells</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setSheet" title="setSheet ::Set Sheet.">
            <span class="description">Set Sheet.</span><pre>setSheet</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setSort" title="setSort ::Set Sort.">
            <span class="description">Set Sort.</span><pre>setSort</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Protection</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___clone"></a>
                        <div class="element clickable methodpublic method___clone" data-toggle="collapse" data-target=".method___clone .collapse">
                            <h2>Implement PHP __clone to create a deep clone, not just a shallow copy.</h2>
                            <pre>__clone()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new Protection.</h2>
                            <pre>__construct()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_getAutoFilter"></a>
                        <div class="element clickable methodpublic method_getAutoFilter" data-toggle="collapse" data-target=".method_getAutoFilter .collapse">
                            <h2>Get AutoFilter.</h2>
                            <pre>getAutoFilter(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getDeleteColumns"></a>
                        <div class="element clickable methodpublic method_getDeleteColumns" data-toggle="collapse" data-target=".method_getDeleteColumns .collapse">
                            <h2>Get DeleteColumns.</h2>
                            <pre>getDeleteColumns(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getDeleteRows"></a>
                        <div class="element clickable methodpublic method_getDeleteRows" data-toggle="collapse" data-target=".method_getDeleteRows .collapse">
                            <h2>Get DeleteRows.</h2>
                            <pre>getDeleteRows(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getFormatCells"></a>
                        <div class="element clickable methodpublic method_getFormatCells" data-toggle="collapse" data-target=".method_getFormatCells .collapse">
                            <h2>Get FormatCells.</h2>
                            <pre>getFormatCells(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getFormatColumns"></a>
                        <div class="element clickable methodpublic method_getFormatColumns" data-toggle="collapse" data-target=".method_getFormatColumns .collapse">
                            <h2>Get FormatColumns.</h2>
                            <pre>getFormatColumns(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getFormatRows"></a>
                        <div class="element clickable methodpublic method_getFormatRows" data-toggle="collapse" data-target=".method_getFormatRows .collapse">
                            <h2>Get FormatRows.</h2>
                            <pre>getFormatRows(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getInsertColumns"></a>
                        <div class="element clickable methodpublic method_getInsertColumns" data-toggle="collapse" data-target=".method_getInsertColumns .collapse">
                            <h2>Get InsertColumns.</h2>
                            <pre>getInsertColumns(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getInsertHyperlinks"></a>
                        <div class="element clickable methodpublic method_getInsertHyperlinks" data-toggle="collapse" data-target=".method_getInsertHyperlinks .collapse">
                            <h2>Get InsertHyperlinks.</h2>
                            <pre>getInsertHyperlinks(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getInsertRows"></a>
                        <div class="element clickable methodpublic method_getInsertRows" data-toggle="collapse" data-target=".method_getInsertRows .collapse">
                            <h2>Get InsertRows.</h2>
                            <pre>getInsertRows(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getObjects"></a>
                        <div class="element clickable methodpublic method_getObjects" data-toggle="collapse" data-target=".method_getObjects .collapse">
                            <h2>Get Objects.</h2>
                            <pre>getObjects(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getPassword"></a>
                        <div class="element clickable methodpublic method_getPassword" data-toggle="collapse" data-target=".method_getPassword .collapse">
                            <h2>Get Password (hashed).</h2>
                            <pre>getPassword(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getPivotTables"></a>
                        <div class="element clickable methodpublic method_getPivotTables" data-toggle="collapse" data-target=".method_getPivotTables .collapse">
                            <h2>Get PivotTables.</h2>
                            <pre>getPivotTables(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getScenarios"></a>
                        <div class="element clickable methodpublic method_getScenarios" data-toggle="collapse" data-target=".method_getScenarios .collapse">
                            <h2>Get Scenarios.</h2>
                            <pre>getScenarios(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSelectLockedCells"></a>
                        <div class="element clickable methodpublic method_getSelectLockedCells" data-toggle="collapse" data-target=".method_getSelectLockedCells .collapse">
                            <h2>Get SelectLockedCells.</h2>
                            <pre>getSelectLockedCells(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSelectUnlockedCells"></a>
                        <div class="element clickable methodpublic method_getSelectUnlockedCells" data-toggle="collapse" data-target=".method_getSelectUnlockedCells .collapse">
                            <h2>Get SelectUnlockedCells.</h2>
                            <pre>getSelectUnlockedCells(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSheet"></a>
                        <div class="element clickable methodpublic method_getSheet" data-toggle="collapse" data-target=".method_getSheet .collapse">
                            <h2>Get Sheet.</h2>
                            <pre>getSheet(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSort"></a>
                        <div class="element clickable methodpublic method_getSort" data-toggle="collapse" data-target=".method_getSort .collapse">
                            <h2>Get Sort.</h2>
                            <pre>getSort(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_isProtectionEnabled"></a>
                        <div class="element clickable methodpublic method_isProtectionEnabled" data-toggle="collapse" data-target=".method_isProtectionEnabled .collapse">
                            <h2>Is some sort of protection enabled?</h2>
                            <pre>isProtectionEnabled(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setAutoFilter"></a>
                        <div class="element clickable methodpublic method_setAutoFilter" data-toggle="collapse" data-target=".method_setAutoFilter .collapse">
                            <h2>Set AutoFilter.</h2>
                            <pre>setAutoFilter(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Protection</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html">\PhpOffice\PhpSpreadsheet\Worksheet\Protection</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setDeleteColumns"></a>
                        <div class="element clickable methodpublic method_setDeleteColumns" data-toggle="collapse" data-target=".method_setDeleteColumns .collapse">
                            <h2>Set DeleteColumns.</h2>
                            <pre>setDeleteColumns(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Protection</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html">\PhpOffice\PhpSpreadsheet\Worksheet\Protection</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setDeleteRows"></a>
                        <div class="element clickable methodpublic method_setDeleteRows" data-toggle="collapse" data-target=".method_setDeleteRows .collapse">
                            <h2>Set DeleteRows.</h2>
                            <pre>setDeleteRows(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Protection</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html">\PhpOffice\PhpSpreadsheet\Worksheet\Protection</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setFormatCells"></a>
                        <div class="element clickable methodpublic method_setFormatCells" data-toggle="collapse" data-target=".method_setFormatCells .collapse">
                            <h2>Set FormatCells.</h2>
                            <pre>setFormatCells(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Protection</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html">\PhpOffice\PhpSpreadsheet\Worksheet\Protection</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setFormatColumns"></a>
                        <div class="element clickable methodpublic method_setFormatColumns" data-toggle="collapse" data-target=".method_setFormatColumns .collapse">
                            <h2>Set FormatColumns.</h2>
                            <pre>setFormatColumns(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Protection</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html">\PhpOffice\PhpSpreadsheet\Worksheet\Protection</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setFormatRows"></a>
                        <div class="element clickable methodpublic method_setFormatRows" data-toggle="collapse" data-target=".method_setFormatRows .collapse">
                            <h2>Set FormatRows.</h2>
                            <pre>setFormatRows(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Protection</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html">\PhpOffice\PhpSpreadsheet\Worksheet\Protection</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setInsertColumns"></a>
                        <div class="element clickable methodpublic method_setInsertColumns" data-toggle="collapse" data-target=".method_setInsertColumns .collapse">
                            <h2>Set InsertColumns.</h2>
                            <pre>setInsertColumns(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Protection</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html">\PhpOffice\PhpSpreadsheet\Worksheet\Protection</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setInsertHyperlinks"></a>
                        <div class="element clickable methodpublic method_setInsertHyperlinks" data-toggle="collapse" data-target=".method_setInsertHyperlinks .collapse">
                            <h2>Set InsertHyperlinks.</h2>
                            <pre>setInsertHyperlinks(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Protection</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html">\PhpOffice\PhpSpreadsheet\Worksheet\Protection</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setInsertRows"></a>
                        <div class="element clickable methodpublic method_setInsertRows" data-toggle="collapse" data-target=".method_setInsertRows .collapse">
                            <h2>Set InsertRows.</h2>
                            <pre>setInsertRows(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Protection</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html">\PhpOffice\PhpSpreadsheet\Worksheet\Protection</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setObjects"></a>
                        <div class="element clickable methodpublic method_setObjects" data-toggle="collapse" data-target=".method_setObjects .collapse">
                            <h2>Set Objects.</h2>
                            <pre>setObjects(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Protection</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html">\PhpOffice\PhpSpreadsheet\Worksheet\Protection</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setPassword"></a>
                        <div class="element clickable methodpublic method_setPassword" data-toggle="collapse" data-target=".method_setPassword .collapse">
                            <h2>Set Password.</h2>
                            <pre>setPassword(string $pValue,boolean $pAlreadyHashed = false): \PhpOffice\PhpSpreadsheet\Worksheet\Protection</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pAlreadyHashed</h4>
                                                <code>boolean</code><p><p>If the password has already been hashed, set this to true</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html">\PhpOffice\PhpSpreadsheet\Worksheet\Protection</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setPivotTables"></a>
                        <div class="element clickable methodpublic method_setPivotTables" data-toggle="collapse" data-target=".method_setPivotTables .collapse">
                            <h2>Set PivotTables.</h2>
                            <pre>setPivotTables(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Protection</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html">\PhpOffice\PhpSpreadsheet\Worksheet\Protection</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setScenarios"></a>
                        <div class="element clickable methodpublic method_setScenarios" data-toggle="collapse" data-target=".method_setScenarios .collapse">
                            <h2>Set Scenarios.</h2>
                            <pre>setScenarios(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Protection</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html">\PhpOffice\PhpSpreadsheet\Worksheet\Protection</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setSelectLockedCells"></a>
                        <div class="element clickable methodpublic method_setSelectLockedCells" data-toggle="collapse" data-target=".method_setSelectLockedCells .collapse">
                            <h2>Set SelectLockedCells.</h2>
                            <pre>setSelectLockedCells(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Protection</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html">\PhpOffice\PhpSpreadsheet\Worksheet\Protection</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setSelectUnlockedCells"></a>
                        <div class="element clickable methodpublic method_setSelectUnlockedCells" data-toggle="collapse" data-target=".method_setSelectUnlockedCells .collapse">
                            <h2>Set SelectUnlockedCells.</h2>
                            <pre>setSelectUnlockedCells(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Protection</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html">\PhpOffice\PhpSpreadsheet\Worksheet\Protection</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setSheet"></a>
                        <div class="element clickable methodpublic method_setSheet" data-toggle="collapse" data-target=".method_setSheet .collapse">
                            <h2>Set Sheet.</h2>
                            <pre>setSheet(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Protection</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html">\PhpOffice\PhpSpreadsheet\Worksheet\Protection</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setSort"></a>
                        <div class="element clickable methodpublic method_setSort" data-toggle="collapse" data-target=".method_setSort .collapse">
                            <h2>Set Sort.</h2>
                            <pre>setSort(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Protection</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html">\PhpOffice\PhpSpreadsheet\Worksheet\Protection</a></code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_sheet"> </a>
                            <div class="element clickable propertyprivate property_sheet" data-toggle="collapse" data-target=".property_sheet .collapse">
                                <h2>Sheet.</h2>
                                <pre>sheet :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_objects"> </a>
                            <div class="element clickable propertyprivate property_objects" data-toggle="collapse" data-target=".property_objects .collapse">
                                <h2>Objects.</h2>
                                <pre>objects :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_scenarios"> </a>
                            <div class="element clickable propertyprivate property_scenarios" data-toggle="collapse" data-target=".property_scenarios .collapse">
                                <h2>Scenarios.</h2>
                                <pre>scenarios :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_formatCells"> </a>
                            <div class="element clickable propertyprivate property_formatCells" data-toggle="collapse" data-target=".property_formatCells .collapse">
                                <h2>Format cells.</h2>
                                <pre>formatCells :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_formatColumns"> </a>
                            <div class="element clickable propertyprivate property_formatColumns" data-toggle="collapse" data-target=".property_formatColumns .collapse">
                                <h2>Format columns.</h2>
                                <pre>formatColumns :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_formatRows"> </a>
                            <div class="element clickable propertyprivate property_formatRows" data-toggle="collapse" data-target=".property_formatRows .collapse">
                                <h2>Format rows.</h2>
                                <pre>formatRows :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_insertColumns"> </a>
                            <div class="element clickable propertyprivate property_insertColumns" data-toggle="collapse" data-target=".property_insertColumns .collapse">
                                <h2>Insert columns.</h2>
                                <pre>insertColumns :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_insertRows"> </a>
                            <div class="element clickable propertyprivate property_insertRows" data-toggle="collapse" data-target=".property_insertRows .collapse">
                                <h2>Insert rows.</h2>
                                <pre>insertRows :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_insertHyperlinks"> </a>
                            <div class="element clickable propertyprivate property_insertHyperlinks" data-toggle="collapse" data-target=".property_insertHyperlinks .collapse">
                                <h2>Insert hyperlinks.</h2>
                                <pre>insertHyperlinks :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_deleteColumns"> </a>
                            <div class="element clickable propertyprivate property_deleteColumns" data-toggle="collapse" data-target=".property_deleteColumns .collapse">
                                <h2>Delete columns.</h2>
                                <pre>deleteColumns :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_deleteRows"> </a>
                            <div class="element clickable propertyprivate property_deleteRows" data-toggle="collapse" data-target=".property_deleteRows .collapse">
                                <h2>Delete rows.</h2>
                                <pre>deleteRows :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_selectLockedCells"> </a>
                            <div class="element clickable propertyprivate property_selectLockedCells" data-toggle="collapse" data-target=".property_selectLockedCells .collapse">
                                <h2>Select locked cells.</h2>
                                <pre>selectLockedCells :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_sort"> </a>
                            <div class="element clickable propertyprivate property_sort" data-toggle="collapse" data-target=".property_sort .collapse">
                                <h2>Sort.</h2>
                                <pre>sort :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_autoFilter"> </a>
                            <div class="element clickable propertyprivate property_autoFilter" data-toggle="collapse" data-target=".property_autoFilter .collapse">
                                <h2>AutoFilter.</h2>
                                <pre>autoFilter :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_pivotTables"> </a>
                            <div class="element clickable propertyprivate property_pivotTables" data-toggle="collapse" data-target=".property_pivotTables .collapse">
                                <h2>Pivot tables.</h2>
                                <pre>pivotTables :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_selectUnlockedCells"> </a>
                            <div class="element clickable propertyprivate property_selectUnlockedCells" data-toggle="collapse" data-target=".property_selectUnlockedCells .collapse">
                                <h2>Select unlocked cells.</h2>
                                <pre>selectUnlockedCells :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_password"> </a>
                            <div class="element clickable propertyprivate property_password" data-toggle="collapse" data-target=".property_password .collapse">
                                <h2>Password.</h2>
                                <pre>password :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Worksheet\Protection"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Worksheet.html">Worksheet</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Protection.html">Protection</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:51 +0000.<br/>
    </footer></body>
</html>
